Valorant API Unofficial docs
API Reference Esports
POST

Matches

Get esports match details by match IDs.

Internal name Esports_GetMatches Server PD · shard Auth Bearer + Entitlements
POST https://pd.{shard}.a.pvp.net/esports-service/v2/matches?locale={locale}&sport={sport}
Try this request in the browser with your own values

Headers

X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

Query parameters

locale string optional

Locale for localized names, e.g. "ru-RU", "en-US"

sport string optional

Sport identifier, always "val" for Valorant

Other variables

entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Body

MATCHIDS array[string]

List of match IDs to fetch

Response

Matches array[object]
Show nested attributes Hide nested attributes 11
ID string
LeagueID string
TournamentID string
StageID string
StageName string
StructuralID string
StartTime string

ISO 8601 date string

State string

e.g. "unstarted", "inprogress", "completed"

Destinations record<string, object>

Map of outcome ("Win", "Loss") to destination

Show nested attributes Hide nested attributes 3
StructuralID string
Type string

e.g. "decisionPoint", "standing"

Slot number
MatchTeams array[object]
Show nested attributes Hide nested attributes 6
TeamID string
OriginStructuralID string
OriginType string
OriginSlot number
Result string

e.g. "win", "loss", or empty string if unstarted

GameWins number
Streams array[any]